Bug 217733 - [NEW PORT] security/sha1collisiondetection - tool to detect SHA-1 collisions
Summary: [NEW PORT] security/sha1collisiondetection - tool to detect SHA-1 collisions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-12 20:24 UTC by jharris
Modified: 2017-03-14 14:19 UTC (History)
2 users (show)

See Also:
jharris: maintainer-feedback+


Attachments
shar to create security/sha1collisiondetection (3.27 KB, application/octet-stream)
2017-03-12 20:24 UTC, jharris
jharris: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2017-03-12 20:24:28 UTC
Created attachment 180755 [details]
shar to create security/sha1collisiondetection

add security/sha1collisiondetection - tool to detect SHA-1 collisions:

  https://github.com/cr-marcstevens/sha1collisiondetection

  http://shattered.it

portlint'd and tested on 10.3-RELEASE-p17 i386

Note that the ${RMDIR}s don't seem to work so "make check-orphans" complains,
but the port installs/deinstalls cleanly anyway...

SHA256 (sha1collisiondetection.shar) = 34e79dfd9ba19299e7eeda9775d1c58e0754c5766e9f261307f7eed1ddf13db1
Comment 1 jharris 2017-03-13 05:47:03 UTC
Making sure libtool is around also helps.  Please add this to the Makefile:

BUILD_DEPENDS=  libtool:devel/libtool

Re-portlint'd and additionally tested on 11.0-RELEASE-p8 amd64...
Comment 2 commit-hook freebsd_committer 2017-03-14 14:17:45 UTC
A commit references this bug:

Author: jrm
Date: Tue Mar 14 14:17:31 UTC 2017
New revision: 436154
URL: https://svnweb.freebsd.org/changeset/ports/436154

Log:
  security/sha1collisiondetection: a tool to detect SHA-1 collisions

  https://github.com/cr-marcstevens/sha1collisiondetection

  PR:		217733
  Submitted by:	jharris@widomaker.com (maintainer)
  Reviewed by:	mat
  Approved by:	swills (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D9998

Changes:
  head/security/Makefile
  head/security/sha1collisiondetection/
  head/security/sha1collisiondetection/Makefile
  head/security/sha1collisiondetection/distinfo
  head/security/sha1collisiondetection/pkg-descr
Comment 3 Joseph Mingrone freebsd_committer 2017-03-14 14:19:33 UTC
Thanks! Committed with a few tweaks.